Namespace
library
Image / Tag
consul:1.10.0-beta
Content Digest
sha256:a3a7e4fca544b3d64a36a361e3bfe814eb052df2cd76f5dd48c5005124850338
Details
Created

2021-06-18 18:38:38 UTC

Size

41 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-rc2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:31b7e7ccca9e17fd08b39c9a4ffd3ded380b62816c489d6c3758c9bb5a632430 - 6.56% (2.69 MB)

[#001] sha256:3f21716c250dfdf254a1e0daf168cfaf795e5ffccf31c464a35eba6fd2d2ec80 - 0.0% (1.23 KB)

[#002] sha256:d8bd8f33b2524c5211c5f610ea7bc4fda361ef38bf808f5814b8d1f660be11fa - 93.43% (38.3 MB)

[#003] sha256:9ba393690b2abd4f31e3c953dddda5952e7dfeb7ecebad0af6bc80cfb16b8da6 - 0.0% (174 Bytes)

[#004] sha256:546efe37d36f08ebdf85d4fa61782ab72617ac2cb424cbae35debba1741ad3f2 - 0.0% (153 Bytes)

[#005] sha256:7c0564f5ad66c6d933ad154dbde76e077de671f2f293f868b099a5084ad82358 - 0.0% (1.66 KB)


History
2021-04-14 18:38:29 UTC

/bin/sh -c #(nop) ADD file:36634145ad6ec95a6b1a4f8d875f48719357c7a90f9b4906f8ce74f71b28c19d in /

2021-04-14 18:38:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-10 17:39:34 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-18 18:38:26 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-rc2

2021-06-18 18:38:26 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-rc2

2021-06-18 18:38:27 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-18 18:38:27 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-18 18:38:34 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-18 18:38:35 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-18 18:38:36 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-18 18:38:36 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-18 18:38:36 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-18 18:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-18 18:38:37 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-18 18:38:37 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-18 18:38:37 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-18 18:38:38 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-06-18 18:19:45 UTC

Size

41.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-rc2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 6.45% (2.68 MB)

[#001] sha256:2f4aedf7cf3f49237410eb5a424fec6e00897388f97ceb8af2029a3c738ab6b0 - 0.0% (1.23 KB)

[#002] sha256:661ea24a48f4fc1b4fdb34d9b97ff7b59e74ae58dabd46a56d5d405628e380a5 - 93.55% (38.9 MB)

[#003] sha256:8da8f8e86a06aa9e972e8131a66983076972278bdf2a8bea4f5da4a4d54456d2 - 0.0% (176 Bytes)

[#004] sha256:02ad24e5fc350b2707ebee21c659f11b18cebe566279e71e541812e5db785405 - 0.0% (154 Bytes)

[#005] sha256:eed2a32074f86033817e9d718522ced57c9101c07bbbe212b9db390b222398ef - 0.0% (1.67 KB)


History
2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /

2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-10 18:19:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-18 18:19:34 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-rc2

2021-06-18 18:19:34 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-rc2

2021-06-18 18:19:34 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-18 18:19:35 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-18 18:19:41 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-18 18:19:42 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-18 18:19:43 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-18 18:19:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-18 18:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-18 18:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-18 18:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-18 18:19:44 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-18 18:19:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-18 18:19:45 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-06-18 17:50:40 UTC

Size

37.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-rc2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:740c950346cf39c85b52576998695c9b909c24a58a8bb1b64cce91fda3ef1d3a - 6.62% (2.5 MB)

[#001] sha256:45f4f8c02a711bb80da0a62984efc9b02211a17db613092c8b8a518f550e2f24 - 0.0% (1.23 KB)

[#002] sha256:e88abb4bac49e366e00b7b7e671ad7ec824af715cd487ad5fe5cc7dacd837140 - 93.37% (35.3 MB)

[#003] sha256:9bda94d4c8b6944047036378dd709163d0788ec42349e0fd3e826ae85cdbd0a5 - 0.0% (174 Bytes)

[#004] sha256:1840224b05afc9c829cb45736172752658e1dcc73d1bed94171a6314a31987d2 - 0.0% (155 Bytes)

[#005] sha256:b1fdf58dcb7510da107a0c587a67312ed209ab5b467c5ad19f9ae82ba88d80ff - 0.0% (1.67 KB)


History
2021-06-15 22:57:34 UTC

/bin/sh -c #(nop) ADD file:4479f0a51530e039edf231d87201896dcff908aa542a613cdccb015f93dda8a3 in /

2021-06-15 22:57:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-16 10:07:12 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-18 17:50:29 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-rc2

2021-06-18 17:50:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-rc2

2021-06-18 17:50:30 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-18 17:50:30 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-18 17:50:37 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-18 17:50:38 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-18 17:50:39 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-18 17:50:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-18 17:50:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-18 17:50:39 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-18 17:50:39 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-18 17:50:40 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-18 17:50:40 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-18 17:50:40 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-06-18 18:39:42 UTC

Size

37.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.10.0-rc2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 6.85% (2.59 MB)

[#001] sha256:9464111124b54380ef73fd90f7d60bfbdb462dd090ce8fd52d9b7e408caf6627 - 0.0% (1.23 KB)

[#002] sha256:3e40d41e38da7417b7a101c96d248a88a0ca2680bb952ee28dbde100854cb97c - 93.14% (35.2 MB)

[#003] sha256:d8058b6b598b51f3d10e7f03b17c91219528b019d83006d35abf117885efa973 - 0.0% (175 Bytes)

[#004] sha256:a0e7ce63a4c561cffc60d9502b8629b0d50cc77dac91e6c49f5cdc959488bf46 - 0.0% (155 Bytes)

[#005] sha256:9c8bb770b5deb150d8d0f18442083c5094522b481ad4092f9fdb7b71278211b5 - 0.0% (1.67 KB)


History
2021-06-15 21:45:03 UTC

/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /

2021-06-15 21:45:04 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-15 23:25:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-06-18 18:39:32 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.0-rc2

2021-06-18 18:39:32 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.10.0-rc2

2021-06-18 18:39:32 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-06-18 18:39:33 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-06-18 18:39:39 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-06-18 18:39:39 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-06-18 18:39:40 UTC

|1 CONSUL_VERSION=1.10.0-rc2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-18 18:39:40 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-06-18 18:39:41 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-06-18 18:39:41 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-06-18 18:39:41 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-06-18 18:39:41 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-06-18 18:39:41 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-18 18:39:42 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]